#!/bin/sh
# MenuDefautPlus.sh # Script pour / for aemenu & aemenu-pango.
# Requis : / Required: bash-4.2
LigN="#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#"
CPRT="# Uses/Utilise # aemenu-pango # par/by: vovchik. Merci./Thanks.
# (c) Christian L'Écuyer, alias « musher0 » (forum PuppyLinux),
# ... Gatineau (Qc), Canada, 31 juillet au 17 août 2016. GPL3.
#  /usr/share/doc/meteo-tradFR/gpl3_fr.sh affichera la license."

killall -q aemenu # To remove any slag. / Enlever tout résidu.
cd /usr/local/bin
# LANG=C; rm -f $DestiN # Uncomment to force display in English.
DestiN="PetitMenuPlus";MDP="MenuDefautPlus-160909.sh"

if [ "`ls -Algo $MDP | awk '{ print $3 }'`" != "`cat TailleMenuDefautPlus`" ];then # If the number of bytes in the script...
	rm -f $DestiN;sleep 0.1s;cp -f --backup $MDP $MDP.cdr
	ls -Algo $MDP | awk '{ print $3 }' > TailleMenuDefautPlus
fi # 2 checks
if [ -f $DestiN ];then # or its locale has changed...
# we erase and recreate the menu.
	[ "`grep Applis $DestiN`" -a "${LANG:0:2}" != "fr" ] && rm -f $DestiN
	[ "`grep Apps $DestiN`" -a "${LANG:0:2}" = "fr" ] && rm -f $DestiN
fi

# The menu creation part
if [ ! -f $DestiN ];then
	AEM="/root/my-applications/ae"
	LongMaj () {
	LonG="${#i}";LonG="`expr $LonG - 7`";j="${i:7:$LonG}";j="${j^}"
	}

	EchoJ () {
	echo "cmd \"$j\" \"$i 2>/dev/null;$MDP\"" >> $DestiN #
	}

# Habillage par défaut
	ClRTitrE="`cat /usr/local/share/MRUF/CouleurTitre`" || ClRTitrE="bisque"
	ClRLignE="`cat /usr/local/share/MRUF/CouleurLigne`" || ClRLignE="DarkSeaGreen2"
	Caract="`cat /usr/local/share/MRUF/Fonte`" || Caract="DejaVuSans"
	Size="`cat /usr/local/share/MRUF/Size`" || Size=11
	LignMenu2="cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \"\""

	[ "${LANG:0:2}" = "fr" ] && TitrE="  Applis par défaut" || TitrE="      Default Apps"
	echo -e "-wide config file for aewm clients
# Pour afficher les applis par défaut de PuppyLinux dans un menu. /
# To list the default apps in PuppyLinux in a menu.
#        Créé par / Created by $MDP
# Ne pas éditer directement. / Do not edit directly.
$LigN\n$CPRT\n$LigN\n
menu \"<span rise='-26000' font='$Caract $Size'><span color='$ClRTitrE'><i>$TitrE</i></span></span>\"\n
cmd \"  <span color='$ClRLignE'>━━━━━━━━━━━━</span>\" \"$MDP\"\n" > $DestiN
# Bold 12

	[ "${LANG:0:2}" = "fr" ] && DatA="Données" || DatA="Data" ##
	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ $DatA</i></span></span>\"
$LignMenu2" >> $DestiN
	i="";i=defaultdatabase;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Database" ] && j="Base de données"
		echo "cmd \"$j\" \"$i 2>/dev/null\"" >> $DestiN # Exception
	fi

	i="";i=defaultspreadsheet;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Spreadsheet" ] && j="Chiffrier"
		EchoJ
	fi

	i="";i=defaultcontact;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Contact" ] && j="Contacts"
		echo "cmd \"$j\" \"$i 2>/dev/null\"" >> $DestiN # Exception
	fi

	i="";i=defaultcalendar;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Calendar" ] && j="Emploi du temps"
		echo "cmd \"$j\" \"$i 2>/dev/null\"" >> $DestiN # Exception
	fi
	echo end >> $DestiN


	[ "${LANG:0:2}" = "fr" ] && EdiT="Éditer" || EdiT="Edit" ##
	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ $EdiT</i></span></span>\"
$LignMenu2" >> $DestiN
	for i in `ls -1 --file-type default*edit*`;do
		LonG="${#i}";LonG="`expr $LonG - 7`";j="${i:7:$LonG-6}"
		echo "cmd \"   $j\" \"$i &>/dev/null;$MDP\"" >> $DestiN
	done
	i="";i=defaultwordprocessor;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Wordprocessor" ] && j="Traitement de texte"
		EchoJ
	fi
	echo end >> $DestiN


	[ "${LANG:0:2}" = "fr" ] && FileS="Fichiers" || FileS="Files" ##
	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ $FileS</i></span></span>\"
$LignMenu2" >> $DestiN
	i="";i=defaultfilemanager;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Filemanager" ] && j="Gest. de fichiers"
		EchoJ
	fi

	[ -d /usr/local/apps/PackIt ] && echo "cmd PackIt \"/usr/local/apps/PackIt/AppRun;$MDP\"" >> $DestiN

	[ -d /usr/local/apps/UExtract ] && echo "cmd UExtract \"/usr/local/apps/UExtract/AppRun;$MDP\"" >> $DestiN

	echo -e "cmd XArchive \"/usr/local/apps/PupZip/AppRun;$MDP\"
cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \"$MDP\"
menu \"<i>⚫ Util.</i>\"
cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \"$MDP\"
cmd Gdmap \"gdmap;$MDP\"\ncmd Partview \"partview;$MDP\"
cmd pFind \"pfind;$MDP\"" >> $DestiN

	if [ -d /root/my-applications/SLocate ];then
		echo "cmd Search_files_databases \"/root/my-applications/SLocate/SrchFilesLst-02b.sh;$MDP\"
cmd Update_files_databases \"/root/my-applications/SLocate/MntFilesLst-01l.sh;$MDP\"" >> $DestiN
	fi
	echo -e "end\nend" >> $DestiN


	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ Internet</i></span></span>\" ##
$LignMenu2" >> $DestiN

	i="";i=defaultchat;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Chat" ] && j="Clavardage"
		EchoJ
	fi

	i="";i=defaultconnect;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Connect" ] && j="Connexion"
		EchoJ
	fi

	i="";i=defaultemail;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Email" ] && j="Courriel"
		EchoJ
	fi

	i="";for i in defaultbittorrent defaultftp;do
		if [ -x $i ];then LongMaj;EchoJ;fi
	done

	[ "${LANG:0:2}" = "fr" ] && NaV="Navigateurs" || NaV= "Browsers" ##
	echo -e "cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"
menu \"<i>⚫ $NaV</i>\"
	$LignMenu2" >> $DestiN
#	for i in chrome chromium dillo firefox links2 midori netsurf opera palemoon qupzilla seamonley vivaldi
#	do [ -x /usr/bin/$i ] && echo "cmd $i $i" >> $DestiN;done

	i="";i=defaultbrowser;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Browser" ] && j="Complet" || j="Complete"
		EchoJ
	fi

	i="";i=defaulthtmlviewer;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Htmlviewer" ] && j="Léger" || j="Light"
		EchoJ
	fi
     echo -e "cmd opera /mnt/sda5/opera-12.16-1860.i386.linux/opera
     cmd Vivaldi /mnt/home/slim-6/vivaldi-1.1/lancer.sh
	end\nend" >> $DestiN # pour moi


	[ "${LANG:0:2}" = "fr" ] && MediA="Médias" || MediA="Media" ##
	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ $MediA</i></span></span>\"
cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"" >> $DestiN

	i="";i=defaultaudiomixer;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Audiomixer" ] && j="Mixeur audio"
		EchoJ
	fi

	i="";i=defaultaudioplayer;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Audioplayer" ] && j="Lecteur audio"
		EchoJ
	fi

	i="";i=defaultmediaplayer;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Mediaplayer" ] && j="Lecteur de médias"
		EchoJ
	fi

	i="";i=defaultvideoplayer;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Videoplayer" ] && j="Lecteur_DVD" || j="DVD_player"
		EchoJ
	fi

	echo -e "cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"" >> $DestiN

	i="";i=defaultburner;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Burner" ] && j="Graveur"
		EchoJ
	fi

	echo -e "cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"" >> $DestiN

	i="";i=defaultdraw;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Draw" ] && j="Dessin"
		EchoJ
	fi

	i="";i=defaultcaptureutility;if [ -x $i ];then
		LongMaj
		[ "${LANG:0:2}" = "fr" -a "$j" = "Captureutility" ] && j="Capture écran"
		EchoJ
	fi

	MuS="`tree -fi -L 2 /mnt | grep -E "usique|usic" | tr "\n" " "`"
	ViD="`tree -fi -L 2 /mnt | grep -E "idéo|ideo" | tr "\n" " "`"
	echo -e "cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"
cmd \"Rép. « Musique »\" \"rox $MuS /root/my-documents/my-music\"
cmd \"Rép. « Vidéos »\" \"rox $ViD /root/my-documents/Videos\"\nend" >> $DestiN


	[ "${LANG:0:2}" = "fr" ] && VieW="Visionner" || VieW="View" ##
	echo "menu \"<span font='$Caract $[Size-1]'><span color='$ClRTitrE'><i>⚫ $VieW</i></span></span>\"
$LignMenu2" >> $DestiN
	for i in `ls -1 --file-type default*view*`;do
		LonG="${#i}";LonG="`expr $LonG - 7`";j="${i:7:$LonG-6}"
		echo "cmd \" $j\" \"$i &>/dev/null;$MDP\"" >> $DestiN
	done
	echo end >> $DestiN


	case "${LANG:0:2}" in # Habillage / Dress-up	 ##
		fr)ClR="Habillage";dTitrE="Titre";dLignE="Séparateurs"
		FnT="Fontes";Taille="Taille";Places="Répertoires"
		AppliS="Mes-applis";DocS="Mes-docs";HelP="Aide";ExiT="Sortie" ;;
		*)ClR="Dress-up";dTitrE="Title";dLignE="Separators"
		FnT="Fonts";Taille="Size";Places="Directories"
		AppliS="My-apps";DocS="My-docs";HelP="Help";ExiT="  Exit" ;;
	esac

	echo "cmd \"  <span color='$ClRLignE'>━━━━━━━━━━━━</span>\" \"$MDP\"
menu \"     $ClR\"
	cmd \"<span color='orange'>━━━━━━━━</span>\" \"$MDP\"
menu \"$dTitrE\"
cmd \"<span color='$ClRTitrE'>━━━━━━━━</span>\" \" \"" >> $DestiN

	couleurs=( snow bisque cornsilk PaleGoldenrod NavajoWhite1 yellow CadetBlue1 OliveDrab3 DarkSeaGreen2 orange CadetBlue4 turquoise4 navy maroon4 OliveDrab NavajoWhite4 SaddleBrown DarkRed MistyRose4 grey22 black )
## ~~~~~~~~~~ Autres couleurs / Other colors ~~~~~~~~~~ ##
# Taper / type < sort -k 4 /usr/share/X11/rgb.txt > for other colors / pour d'autres couleurs.
	for i in "${couleurs[@]}";do
		echo "cmd \"<span font='$Caract 11'><span color='$i'><i>$i</i></span></span>\" \"echo $i > /usr/local/share/MRUF/CouleurTitre;rm -f /usr/local/bin/$DestiN\"" >> $DestiN
	done

	echo -e "end\nmenu \"$dLignE\"\n$LignMenu2" >> $DestiN

	for i in "${couleurs[@]}";do
		echo "cmd \"<span font='$Caract 11'><span color='$i'><i>$i</i></span></span>\" \"echo $i > /usr/local/share/MRUF/CouleurLigne;rm -f /usr/local/bin/$DestiN\"" >> $DestiN
	done;echo -e "end\n
cmd \"GTK chtheme\" \"gtk_chtheme_wrapper;$MDP\""  >> $DestiN

	echo "menu \"$FnT\"
cmd \"<span color='green'>━━━━━━━━</span>\" \" \"" >> $DestiN
	cd /usr/share/fonts/default/TTF
	for FnT in `ls --file-type *.ttf | grep -E -v -i "bold|italic|mon|narrow|bi|bd|bi|it|obli|b_|i_|c_|u_|bo|ab|ai|az|si|extr|hadow|bat"`
	do FnT="${FnT%.*}";FnT="${FnT%%_*}"
		echo "cmd \"<span font='$FnT 10'><span color='green'><i>$FnT</i></span></span>\" \"echo $FnT > /usr/local/share/MRUF/Fonte;rm -f /usr/local/bin/$DestiN \"" >> /usr/local/bin/PetitMenuPlus
	done
	cd /usr/local/bin
	echo end >> $DestiN

	echo -e "menu \"$Taille\"\ncmd \"<span color='black'>━━━━</span>\" \" \"" >> $DestiN # Sizes
	RecyclE="/usr/local/share/MRUF/Size;rm -f /usr/local/bin/$DestiN"
	for i in 8 9 10 11 12 13 14 15 16 17;do
		echo "cmd $i \"echo $i > $RecyclE\"" >> $DestiN
	done;echo -e "end\nend\nend" >> $DestiN # Fin de ce sous-menu. Ouf.

	echo "cmd \"<span color='$ClRLignE'>━━━━━━━━━━━━━━━</span>\" \"$MDP\"" >> $DestiN
	i="";i=defaultrun;if [ -x $i ];then
		LongMaj;j="  $j"
		[ "${LANG:0:2}" = "fr" -a "$j" = "  Run" ] && j="Lancer"
		echo "cmd \"             $j\" \"$i &>/dev/null;$MDP\"" >> $DestiN
	fi

	echo "menu \"             $Places\"
	cmd \"<span color='$ClRLignE'>━━━━━━━━</span>\" \" \"
	cmd \"< ~ $AppliS\" \"rox /root/my-applications;$MDP\"
	cmd \"< ~ $DocS\" \"rox /root/my-documents;$MDP\"
	cmd \"<~  Partitions\" \"$AEM/disques-aragon-mod.sh;$MDP\"
	cmd \"<~  Boussole\" \"$AEM/boussole.sh;$MDP\"
end
cmd \"     <span color='$ClRLignE'>━━━━━━━━━━</span>\" \" \"
cmd \"                $HelP\" \"$AEM/menudaide.sh || /usr/sbin/puppyhelp;$MDP\"
cmd \"               Rafraîchir\" \"rm -f /usr/local/bin/PetitMenuPlus;$MDP\"
cmd \"                $ExiT\" \"$AEM/Sorties-wmx.sh;$MDP" >> $DestiN
fi # Fin de la préparation. / End of preparation.

aemenu -rc $DestiN 2>/dev/null # Action
### 30 ###
